<template>
  <div id="index">
    <admin-frame @search="search" :limit="limit" :total="total" :useNav="false">
      <template v-slot:info>
        <list-1 :list="list"></list-1>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import list1 from '@/layout/innovate/learning/list.vue';
import adminFrame from '@common/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions } = createNamespacedHelpers('sjactivity');
export default {
  name: 'index',
  props: {},
  components: { adminFrame, list1 },
  data: function () {
    return {
      list: [],
      total: 0,
      limit: 4,
    };
  },
  created() {
    this.search();
  },
  methods: {
    ...mapActions(['query', 'fetch']),
    async search({ skip = 0, limit = this.limit, searchName, ...condition } = {}) {
      if (searchName) condition.name = searchName;
      const res = await this.query({ skip, limit, ...condition });
      if (this.$checkRes(res)) {
        this.$set(this, 'list', res.data);
        this.$set(this, 'total', res.total);
      }
    },
  },
  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped></style>
